{
  "name": "service-master",
  "version": "v1.1.0PreAlpha",
  "description": "Kadal0g/ServiceMaster/Oracle Service Component",
  "main": "./bin/index.js",
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:openfintechlab/kadal0g/service-master-ora.git"
  },
  "engines": {
    "node": ">=12.0.0"
  },
  "scripts": {
    "test-stalk": "export OFL_MED_NODE_ENV=debug && yarn build && export 'LOAD_FROM_CONFIG'='Y' && export CONFIG_FILE='DevConfig.env' && jest -i framework --no-cache --detectOpenHandles --collectCoverage=true --env=node",
    "test-all": "export OFL_MED_NODE_ENV=debug && yarn build && export 'LOAD_FROM_CONFIG'='Y' && export CONFIG_FILE='DevConfig.env' && jest --no-cache --detectOpenHandles --collectCoverage=true --env=node",
    "test-debug": "export OFL_MED_NODE_ENV=debug && yarn build && export 'LOAD_FROM_CONFIG'='Y' && export CONFIG_FILE='DevConfig.env' && node --inspect node_modules/.bin/jest --runInBand  --no-cache --collectCoverage=true",
    "lint": "eslint \"src/**/*.ts\"",
    "start": "tsc && node ./bin/index.js",
    "set-env": "export OFL_MED_CONTEXT_ROOT='/boilerplate/' && export OFL_MED_PORT=3000 && export NODE_ENV='development' && export OLF_MED_SRVCONFIG_URI='http://localhost:3000/configmanager/config/'",
    "recycle-bin": "rm -fr ./bin/index.js",
    "rebuilt-start": "yarn recycle-bin && yarn start-dev",
    "build": "rm -fr ./bin/* && tsc",
    "lint:types": "yarn tsc --noEmit -p .",
    "debug": "yarn build && export OFL_MED_NODE_ENV='debug' && export LOAD_FROM_CONFIG='Y' && export CONFIG_FILE='DevConfig.env' && node --inspect ./bin/index.js",
    "dev": "yarn build && export OFL_MED_NODE_ENV='debug' && export 'LOAD_FROM_CONFIG'='Y' && export CONFIG_FILE='DevConfig.env' && node ./bin/index.js",
    "dev-mon": "yarn build && export OFL_MED_NODE_ENV='debug' && export 'LOAD_FROM_CONFIG'='Y' && export CONFIG_FILE='DevConfig.env' && nodemon ./bin/index.js",
    "snyk-protect": "snyk protect",
    "prepare": "yarn run snyk-protect",
    "inspect": "yarn build && export OFL_MED_NODE_ENV='debug' && export OFL_MED_SRVCONFIG_URI='http://localhost:32006/configmanager/config/' && export LD_LIBRARY_PATH=/opt/oracle/instantclient_21_1:$LD_LIBRARY_PATH && node --inspect ./bin/index.js"
  },
  "keywords": [
    "openfintechlab",
    "boilerplate",
    "express",
    "node",
    "medulla"
  ],
  "author": "Muhammad Furqan <furqan.baqai@openfintechlab.com>",
  "license": "EPL-2.0",
  "bugs": {
    "url": "https://gitlab.com/openfintechlab/kadal0g/service-master-ora/-/issues"
  },
  "homepage": "https://gitlab.com/openfintechlab/kadal0g/service-master-ora/-/wikis/home",
  "dependencies": {
    "axios": "^0.21.1",
    "chalk": "^4.1.0",
    "dotenv": "^8.2.0",
    "express": "^4.17.1",
    "helmet": "^4.4.1",
    "joi": "^17.3.0",
    "lodash": "^4.17.20",
    "log4js": "^6.3.0",
    "morgan": "^1.10.0",
    "oracledb": "^5.1.0",
    "snyk": "^1.439.0",
    "uuid": "^8.3.2"
  },
  "devDependencies": {
    "@types/chalk": "^2.2.0",
    "@types/express": "^4.17.11",
    "@types/helmet": "^4.0.0",
    "@types/jest": "^26.0.20",
    "@types/joi": "^17.2.3",
    "@types/lodash": "^4.14.168",
    "@types/log4js": "^2.3.5",
    "@types/morgan": "^1.9.2",
    "@types/node": "^14.14.22",
    "@types/oracledb": "^5.1.0",
    "@types/uuid": "^8.3.0",
    "@typescript-eslint/eslint-plugin": "^4.14.0",
    "@typescript-eslint/parser": "^4.14.0",
    "eslint": "^7.18.0",
    "jest": "^26.6.3",
    "nodemon": "^2.0.7",
    "ts-jest": "^26.4.4",
    "typescript": "^4.1.3"
  },
  "snyk": true
}
